# README #

The price optimisation engine exposes an API for HTTP requests at specified endpoints. The resulting solution is stored 
internally, it is not returned to the body of the response. However, the client can query the status of a job, get the 
solution and delete the solution.

## Summary of endpoints (/v1)

| Method | Path                | Description                         |
| :----- | :------------------ | :---------------------------------- |
| POST   | /revenue            | Submit new revenue maximization job |
| GET    | /jobs               | Get list of jobs stored in worker   |
| GET    | /jobs/{id}          | Get a job with id                   |
| GET    | /jobs/status/{id}   | Get status of a job with id         |
| DELETE | /jobs/solution/{id} | Delete or cancel job with id        |

## Run Locally
`uvicorn main:app --reload`